Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::pdf::objects::StructObjectContent Class Reference
Inheritance diagram for foxit::pdf::objects::StructObjectContent:

## Public Types
enum | StructObjectType { e_UnknownType = -1, e_StructObjectTypeInvalid = 0, e_StructObjectTypeImage = 1, e_StructObjectTypeForm = 2, e_StructObjectTypeAnnot = 3 }
| Enumeration for object type. More...
Public Types inherited from foxit::pdf::objects::StructTreeEntity
enum | StructTreeEntityType { e_UnknownType = -1, e_StructTreeEntityTypeElement = 0, e_StructTreeEntityTypeMarkedContent = 1, e_StructTreeEntityTypeObjectContent = 2 }
| Enumeration for structure tree entity type. More...

## Public Member Functions
| StructObjectContent ()
| Constructor.
| StructObjectContent (const StructObjectContent &other)
| Constructor, with another structure object content object. More...
| StructObjectContent (const StructTreeEntity &other)
| Constructor, with another structure tree entity object. More...
| ~StructObjectContent ()
| Destructor.
pdf::objects::PDFDictionary * | GetDict () const
| Get PDF dictionary of related object. More...
StructObjectType | GetObjectType () const
| Get related object type. More...
StructElement | GetParentElement ()
| Get the parent structure element. More...
Public Member Functions inherited from foxit::pdf::objects::StructTreeEntity
| StructTreeEntity ()
| Constructor.
| StructTreeEntity (const StructTreeEntity &other)
| Constructor, with another structure element entity object. More...
| ~StructTreeEntity ()
| Destructor.
PDFPage | GetPage () const
| Get the related PDF page. More...
StructTreeEntityType | GetType () const
| Get structure tree entity type. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const StructTreeEntity &other) const
| Not equal operator. More...
StructTreeEntity & | operator= (const StructTreeEntity &other)
| Assign operator. More...
bool | operator== (const StructTreeEntity &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents a PDF object content item.

## Member Enumeration Documentation

## ◆ StructObjectType

enum foxit::pdf::objects::StructObjectContent::StructObjectType

Enumeration for object type.

Values of this enumeration should be used alone.

Enumerator
e_UnknownType | Unknown Type.
e_StructObjectTypeInvalid | Invaild object.
e_StructObjectTypeImage | Image object.
e_StructObjectTypeForm | Form object.
e_StructObjectTypeAnnot | Annot object.

## Constructor & Destructor Documentation

## ◆ StructObjectContent() [1/2]

foxit::pdf::objects::StructObjectContent::StructObjectContent | ( | const StructObjectContent & | other | ) |

Constructor, with another structure object content object.

Parameters

  [in] | other | Another structure object content object.

## ◆ StructObjectContent() [2/2]

foxit::pdf::objects::StructObjectContent::StructObjectContent | ( | const StructTreeEntity & | other | ) |

Constructor, with another structure tree entity object.

Parameters

  [in] | other | Another structure tree entity object.

## Member Function Documentation

## ◆ GetDict()

pdf::objects::PDFDictionary* foxit::pdf::objects::StructObjectContent::GetDict | ( |  | ) | const

Get PDF dictionary of related object.

This function is available to the following types of objects: StructObjectContent::e_Image, StructObjectContent::e_Form and StructObjectContent::e_Annot. For type, this function will return NULL. PDF dictionary of related object.

## ◆ GetObjectType()

StructObjectType foxit::pdf::objects::StructObjectContent::GetObjectType | ( |  | ) | const

Get related object type.

Returns
  Related object type. Please refer to values starting from StructObjectContent::e_Invalid and this would be one of these values.

## ◆ GetParentElement()

StructElement foxit::pdf::objects::StructObjectContent::GetParentElement | ( |  | ) |

Get the parent structure element.

Returns
  Parent structure element. If function StructElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.